Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.util.encoders
Interface Translator

All Known Implementing Classes:
  HexTranslator

    public interface Translator

general interface for an translator.

Method Summary
`int` `decode(byte[] in, int inOff, int length, byte[] out, int outOff)`
`int` `encode(byte[] in, int inOff, int length, byte[] out, int outOff)`
`int` `getDecodedBlockSize()` size of the output block on decoding produced by getEncodedBlockSize() bytes.
`int` `getEncodedBlockSize()` size of the output block on encoding produced by getDecodedBlockSize() bytes.

Method Detail

### getEncodedBlockSize

    int getEncodedBlockSize()

  size of the output block on encoding produced by getDecodedBlockSize() bytes.

### encode

    int encode(byte[] in,
               int inOff,
               int length,
               byte[] out,
               int outOff)

### getDecodedBlockSize

    int getDecodedBlockSize()

  size of the output block on decoding produced by getEncodedBlockSize() bytes.

### decode

    int decode(byte[] in,
               int inOff,
               int length,
               byte[] out,
               int outOff)

Bouncy Castle Cryptography Library 1.45